#include <iostream>
#include <vector>
#inclide <cmath>
#invlude <string>
#include "histogram.h"
#include "text.h"
#include <conio.h>
#include "histogram_internal.h"
#include <curl/curl.h>
#include <sstream>
#include "svg.h"


using namespace std;

struct Input
{
vector<double> numbers;
size_t bin_count{};
};

Input
input_data(istream &tin, bool promt)
{
Input in;
size_t number_count;

if (promt)
{
    cerr << "enter number count";
}
tin>> number_count;



in.numbers.resize(number_count);
for (size_t i = 0; i < number_count; i++)
{
in>> in.numbers[i];
}

if (promt)
{
    cerr<<"enter bin count:";
}
in >>in.bin_count;

return in;
}



int main(int arg, char* argv[])
{
    if (arg > 1)
    {
        CURL* curl = curl_easy_init();
        if(curl)
        {
            CURLcode res;
            curl_easy_setopt(curl,CURLOPT_URL,argv[1]);
            res = curl_easy_perform(curl);
            curl_easy_cleanup(curl);
        }
        return 0;

    }

Input in = input_data();
char arr[bin_count];
for(int i=0; i<bin_count;i++)
{
    cin>>arr[i];
}
auto bins = make_histogram(in.numbers, in.bin_count);
show_histogram_svg(bins);
return 0;
}
